# $Revision: 1.24 $, $Date: 2007-05-18 23:02:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Filter-XML
Summary:	POE::Filter::XML - a POE Filter for parsing XML
Summary(pl.UTF-8):	POE::Filter::XML - filtr POE do analizy XML-a
Name:		perl-POE-Filter-XML
Version:	0.33
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f7e5c55808be528db02753f037c858d4
URL:		http://search.cpan.org/dist/POE-Filter-XML/
BuildRequires:	perl-ExtUtils-AutoInstall >= 0.32
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Filter-Template
BuildRequires:	perl-POE >= 1:0.3401
BuildRequires:	perl-PXR
BuildRequires:	perl-XML-SAX >= 0.14
BuildRequires:	perl-XML-SAX-Expat
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Filter::XML provides POE with a completely encapsulated XML
parsing strategy for POE::Wheels that will be dealing with XML
streams.

POE::Filter::XML relies upon XML::SAX and XML::SAX::ParserFactory to
acquire a parser for parsing XML.

%description -l pl.UTF-8
POE::Filter::XML udostępnia POE z całkowicie obudowaną strategią
analizy XML-a dla POE::Wheels, obsługującą strumienie XML.

POE::Filter::XML polega na modułach XML::SAX i XML::SAX::ParserFactory
w celu uzyskania analizatora XML-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/POE/Filter/XML.pm
%{perl_vendorlib}/POE/Filter/XML
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Filter-XML.spec,v $
Revision 1.24  2007-05-18 23:02:37  agaran
- up to 0.33, builds here, rel 1

Revision 1.23  2007/04/01 09:54:13  qboosh
- generic URL
- informative descriptions
- use Build.PL explicitly

Revision 1.22  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.20  2006/10/28 08:59:58  ankry
rel. 2 to rebuild

Revision 1.19  2006/10/27 20:36:51  ankry
- updated Epoch in BR

Revision 1.18  2006/10/26 00:11:58  ankry
- more BRs, rel. 1

Revision 1.17  2006/09/05 20:59:57  agaran
- trying to make buildable with fresh POE

Revision 1.16  2006/07/11 21:03:28  agaran
- up to 0.29, rel 0.1, builds here

Revision 1.15  2004/12/01 18:04:33  radek
- autoupdated to 0.24

Revision 1.14  2004/11/03 22:30:39  paladine
- formatting

Revision 1.13  2004/08/08 20:49:26  adamg
- release 2

Revision 1.12  2004/05/07 07:42:48  adamg
- updated to 0.23
- more specific BR

Revision 1.11  2004/05/07 07:12:42  adamg
- more specific BuildRequires

Revision 1.10  2004/05/06 18:20:53  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/06 07:41:29  adamg
- BuildRequires: perl-ExtUtils-AutoInstall

Revision 1.8  2004/05/06 05:46:53  ankry
- license fix, cosmetics

Revision 1.7  2004/05/05 22:13:50  adamg
- updated to 0.22

Revision 1.6  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
